uvt-simplestreams-libvirt(1)

NAME
uvt-simplestreams-libvirt - manage simplestreams images in libvirt

SYNOPSIS
uvt-simplestreams-libvirt sync [--no-authentication] [--keyring keyring] [--source source] [--path path] [filter ...]
uvt-simplestreams-libvirt query [filter ...]
uvt-simplestreams-libvirt purge

DESCRIPTION
uvt-simplestreams-libvirt maintains a libvirt volume storage pool as a local mirror of a subset of images available from a simplestreams source, such as Ubuntu cloud images. uvt-simplestreams-libvirt sync updates the local mirror with the latest version of each product available in the simplestreams source. Each filter restricts the set of images visible to the tool. If syncing images for .I emulation use, e.g. armhf on an amd64 host then .B sync will also prepare the kernel/initrd for later use. In this case the .B sync action will need .I root permission to store the files. uvt-simplestreams-libvirt query queries the local mirror. Each filter restricts the output. uvt-simplestreams-libvirt purge exists only for development and debugging purposes, and should not normally be used. It purges the entire libvirt volume storage pool and all metadata associated with it, breaking any existing VMs that use these volumes. This subcommand may disappear in the future.

OPTIONS

--no-authentication
    Do not authenticate the source. This is useful when you are using a local source, or can otherwise trust both the source and your network path to the source. It is insecure in other cases and should not be used.

--keyring keyring
    Use the gpg(1) keyring to authenticate the source. Default: /usr/share/keyrings/ubuntu-cloudimage-keyring.gpg.

--source source
    Use the source URL as the simplestreams source of product images to sync.

--path path
    Pass path to the simplestreams library.

EXAMPLES
    # Update uvtool's libvirt volume storage pool with all
    # current amd64 images.
    uvt-simplestreams-libvirt sync arch=amd64
    # Update uvtool's libvirt volume storage pool with the
    # latest amd64 Precise image
    uvt-simplestreams-libvirt sync release=precise arch=amd64
    # Update uvtool's libvirt volume storage pool with the
    # latest amd64 (development) trusty image
    uvt-simplestreams-libvirt sync \
            --source http://cloud-images.ubuntu.com/daily \
            release=trusty arch=amd64

SEE ALSO
gpg(1), uvt-kvm(1).